﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.UnityExtensions;
using Microsoft.Practices.Composite.Modularity;

namespace Oscars {
    /// <summary>
    /// The start-up object for this application.
    /// </summary>
    public class Bootstrapper : UnityBootstrapper {
        /// <summary>
        /// Creates the shell.
        /// </summary>
        /// <returns></returns>
        protected override System.Windows.DependencyObject CreateShell() {
            Shell shell = Container.Resolve<Shell>();

            shell.Show();

            return shell;
        }
        /// <summary>
        /// Gets the module catalog.
        /// </summary>
        /// <returns>A directory-scanning catalog.</returns>
        protected override Microsoft.Practices.Composite.Modularity.IModuleCatalog GetModuleCatalog() {
            return new DirectoryModuleCatalog() { ModulePath = @".\Modules" };
        }
    }
}
